<?php  
	include("datos_sistema.php");
    if (isset($_GET['id_nivel']) && is_numeric($_GET['id_nivel'])) {
        $id = $_GET['id_nivel'];
        // Usa una consulta preparada

        $actualizar = "UPDATE niveles SET estado = 'Eliminado' WHERE id_nivel = ?";
        $resultado = mysqli_prepare($con, $actualizar);
        // Vincula el parámetro
        mysqli_stmt_bind_param($resultado, "i", $id);
        // Ejecuta la consulta
        mysqli_stmt_execute($resultado);
        // Verifica si se afectaron filas
        if (mysqli_stmt_affected_rows($resultado) > 0) {
            $succ="succ";
            header("Location:tabla_mesas.php?client=$succ");
        } else {
            $succ="err";
            header("Location:tabla_mesas.php?client=$succ");
        }
        // Cierra la declaración
        mysqli_stmt_close($resultado);
    }
    mysqli_close($con);
?>